Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.security.bst
Class StubPropertyBSTCredProv

    java.lang.Object
      weblogic.wsee.security.bst.BSTCredentialProvider
          weblogic.wsee.security.bst.StubPropertyBSTCredProv

All Implemented Interfaces:
  CredentialProvider

    public class StubPropertyBSTCredProv

extends BSTCredentialProvider

Field Summary
`static String` | `SERVER_ENCRYPT_CERT`
`static String` | `SERVER_VERIFY_CERT`

Fields inherited from class weblogic.wsee.security.bst.BSTCredentialProvider
`verbose`

Constructor Summary
`StubPropertyBSTCredProv(X509Certificate encryptCert, X509Certificate verifyCert)`

Method Summary
`Object` | `getCredential(String tokenType, String issuerName, ContextHandler ctxHandler, Purpose p)`

Methods inherited from class weblogic.wsee.security.bst.BSTCredentialProvider
`getValueTypes, isForDecryption, isForEncryption, isForIdentity, isForResponseEncryption, isForSigning, isForVerification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_VERIFY_CERT

    public static final String SERVER_VERIFY_CERT

See Also:
  Constant Field Values

### SERVER_ENCRYPT_CERT

    public static final String SERVER_ENCRYPT_CERT

See Also:
  Constant Field Values

Constructor Detail

### StubPropertyBSTCredProv

    public StubPropertyBSTCredProv(X509Certificate encryptCert,
                                   X509Certificate verifyCert)

Method Detail

### getCredential

    public Object getCredential(String tokenType,
                                String issuerName,
                                ContextHandler ctxHandler,
                                Purpose p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD